/***************************************************************************
                        timeintervalmain.cpp
			 -------------------
    begin    : Sam Apr 13 21:44:45 CEST 2002
    version  : $Id: timeintervaltest.cpp,v 1.1.1.1 2003/09/17 07:52:06 florian Exp $
    copyright: (C) 2002 by Florian Simnacher
    email    : simnacher@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *  This program is free software; you can redistribute it and/or modify   *
 *  it under the terms of the GNU General Public License as published by   *
 *  the Free Software Foundation; either version 2 of the License, or      *
 *  (at your option) any later version.                                    *
 *                                                                         *
 ***************************************************************************/

#include "timeinterval.h"

#include <iostream>
#include <kapp.h>
#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <qstring.h>

int main( int argc, char** argv )
{
    KAboutData kad( "foo",
		    "bar",
		    "0.0.1" );

    KCmdLineArgs::init( argc, argv, &kad );
    KApplication mykapp;

    TimeInterval t1( 10, TimeInterval::TIME_SEC );
    cerr << t1.secs();
    TimeInterval t2( 10, TimeInterval::TIME_MIN );
    cerr << t2.secs();
    TimeInterval t3( 10, TimeInterval::TIME_HOUR);
    cerr << t3.secs();
    TimeInterval t4( 10, TimeInterval::TIME_DAY );
    cerr << t4.secs();

    TimeInterval tt1( 20, QString( "sec" ) );
    cerr << tt1.secs();
    TimeInterval tt2( 20, QString( "min" ) );
    cerr << tt2.secs();
    TimeInterval tt3( 20, QString( "hour") );
    cerr << tt3.secs();
    TimeInterval tt4( 20, QString( "day" ) );
    cerr << tt4.secs();

    cerr << t1.dumpAll();

    mykapp.exit();
    return 0;
}



