#include <kapp.h>
#include <kcmdlineargs.h>
#include <kaboutdata.h>

#include "wizard.h"

int main( int argc, char** argv )
{
    KAboutData kad( "wizard",
		    "bar",
		    "0.0.1" );

    KCmdLineArgs::init( argc, argv, &kad );
    KApplication mykapp;

    Wizard wiz;
    wiz.show();

    QObject::connect( &mykapp, SIGNAL(lastWindowClosed()),
                      &mykapp, SLOT(quit()) );

    return mykapp.exec();
}

