#include <kinstance.h>
#include <ktar.h>
#include <string.h>

const char* archivePath = "test.tar.gz";
const char* userName    = "florian";
const char* userGroup   = "users";
const char* data        = "HelloWorld!";

int main()
{
    KInstance ki( "ktartest" );
    KTar      k( archivePath, "application/x-gzip" );

    k.open( IO_WriteOnly );
    k.writeDir( "testdir", userName, userGroup );
    k.writeFile( "testdir/testfile", userName, userGroup, ::strlen( data ), data );
    k.close();

    return 0;
}

