#include <kapp.h>
#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <kwin.h>

#include <iostream>

#include "systemtraywidget.h"

int main( int argc, char** argv )
{
    KAboutData kad( "foo",
		    "bar",
		    "0.0.1" );

    KCmdLineArgs::init( argc, argv, &kad );
    KApplication mykapp;

    SystemTrayWidget *t = new SystemTrayWidget( 0L, "systemtraywidet - test" );

    QStringList *list = new QStringList;

    list->append( "foo" );
    list->append( "far" );
    list->append( "baz" );

//     t->setProfileList( *list ); // XXX

    KWin::setSystemTrayWindowFor( t->winId(), 0 );
    t->show();

    cerr << t->dump();

    int ret = mykapp.exec();
    delete t;
    return ret;
}

