/***************************************************************************
**                               testenv.h
**                                part of
**                konserve -- A small backup application
**			 -------------------
**  begin    : Fre Jul 12 18:08:54 CEST 2002
**  version  : $Id: testenv.h,v 1.1.1.1 2003/09/17 07:52:06 florian Exp $
**  copyright: (C) 2002 by Florian Simnacher
**  email    : simnacher@gmx.de
***************************************************************************/

/***************************************************************************
**  This program is free software; you can redistribute it and/or         **
**  modify it under the terms of the GNU General Public License           **
**  as published by the Free Software Foundation; either version 2        **
**  of the License, or (at your option) any later version.                **
**                                                                        **
**  This program is distributed in the hope that it will be useful,       **
**  but WITHOUT ANY WARRANTY; without even the implied warranty of        **
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         **
**  GNU General Public License for more details.                          **
**                                                                        **
**  You should have received a copy of the GNU General Public License     **
**  along with this program; if not, write to the Free Software           **
**  Foundation, Inc., 59 Temple Place - Suite 330, Boston,                **
**  MA  02111-1307, USA.                                                  **
***************************************************************************/
#ifndef testenv_h
#define testenv_h

// KDE Includes
#include <kurl.h>

////////////////////////////////////////////////////////////////////////////
////////                 class TestEnvironment                    //////////
////////////////////////////////////////////////////////////////////////////

class TestEnvironment
{
public:
    TestEnvironment();
    virtual ~TestEnvironment();

    void setupTestEnvironment();

    void removeFile( KURL file );
    void createFile( KURL file, QString content = QString::null );
    void waitFor( int secs );
    bool fileExists( KURL file );

private:
    TestEnvironment( const TestEnvironment& );

private:
    KURL mRootName;
};
#endif
